var add = require('../add');
var multiply = require('../multiply');
var minus = require('../minus');

/**
 * Give a random number between 2 given numbers
 *
 * @param {number} min Min number
 * @param {number} max Max number
 * @return {number} number
 *
 * @example
 * var slm = require('s-lib-math');
 *
 * slm.random.int(0, 5);
 * //=> 3
 */
module.exports = function(min, max) {
  var min = Math.ceil(min);
  var max = Math.floor(max);
  return Math.floor(
    add(multiply(Math.random(), minus(max, minus(min, 1))), min)
  );
};
